SDL_Thread Struct Reference

`#include <SDL_thread_c.h>`

Collaboration diagram for SDL_Thread:
[legend]

## Data Fields

SDL_threadID | threadid
SYS_ThreadHandle | handle
int | status
SDL_atomic_t | state
SDL_error | errbuf
char * | name
void * | data

## Detailed Description

Definition at line 54 of file SDL_thread_c.h.

## Field Documentation

void* SDL_Thread::data

Definition at line 62 of file SDL_thread_c.h.

SDL_error SDL_Thread::errbuf

Definition at line 60 of file SDL_thread_c.h.

SYS_ThreadHandle SDL_Thread::handle

Definition at line 57 of file SDL_thread_c.h.

Referenced by SDL_SYS_CreateThread(), SDL_SYS_DetachThread(), and SDL_SYS_WaitThread().

char* SDL_Thread::name

Definition at line 61 of file SDL_thread_c.h.

Referenced by SDL_CreateThread(), SDL_GetThreadName(), and SDL_WaitThread().

SDL_atomic_t SDL_Thread::state

Definition at line 59 of file SDL_thread_c.h.

Referenced by SDL_CreateThread(), and SDL_DetachThread().

int SDL_Thread::status

Definition at line 58 of file SDL_thread_c.h.

Referenced by SDL_CreateThread(), and SDL_WaitThread().

SDL_threadID SDL_Thread::threadid

Definition at line 56 of file SDL_thread_c.h.

Referenced by SDL_GetThreadID().

The documentation for this struct was generated from the following file:

- src/thread/SDL_thread_c.h